<?php
/**
* リンカコンポーネント
*
* PHP version 5
*
* @package    components.charcoal
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class charcoal_Linker implements charcoal_IComponent
{
	var $_links;

	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
		$this->_links = array();
	}

	/*
	 * コンポーネント名を取得
	 */
	public function getComponentName()
	{
		return "Linker Component";
	}

	/*
	 * コンポーネントを初期化する
	 */
	public function init( charcoal_Config $config )
	{
		$this->_links = $config->getArray( "links" );
	}

	/*
	 * リンク配列を取得
	 */
	public function getLinks()
	{
		return $this->_links;
	}

	/*
	 * 論理名URLが設定されているか
	 */
	public function hasLink( $link_name )
	{
		return isset( $this->_links[$link_name] );
	}

	/*
	 * 論理名からURLを取得
	 */
	public function getLink( $link_name )
	{
		return $this->_links[ $link_name ];
	}
}
